#include <stdio.h>
#include <stdlib.h>
#include <math.h>

double dnorm(float x, float mu, float sigma);
double pnorm(float x, float mu, float sigma);

//--------------------------------------------------
int main(int argc, char *argv[]) {
  float x1, x2, mu, sigma;
  FILE *fp;

  fp = fopen("parametri_gaussiana_prob.txt", "r");

  while ( fscanf(fp, "%f %f %f %f\n", &x1, &x2, &mu, &sigma) == 4) {
    printf("x1=%f, x2=%f, mu=%f, sigma=%.3f\n", x1, x2, mu, sigma);
    printf("P(x1 <= x <= x2) = %.3e\n\n",
	    pnorm(x2, mu, sigma) - pnorm(x1, mu, sigma));
  }

  fclose(fp);
  return(0);
}


double dnorm(float x, float mu, float sigma){
  double f;

  f = 1./(sqrt(2*M_PI) * sigma) * exp(-pow(x-mu,2.)/(2.*sigma*sigma));
  return(f);  
}
  

double pnorm(float x, float mu, float sigma){
  double z, F;

  z=(x-mu)/sigma;
  F = 0.5 + 0.5*erf(z/sqrt(2.));
  return(F);  
}
 
